Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.gui.application
Class MiningMartDrawingView

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.jhotdraw.standard.StandardDrawingView
                          org.musoft.limo.drawing.ModelDrawingView
                              edu.udo.cs.miningmart.gui.application.MiningMartDrawingView

All Implemented Interfaces:
  java.awt.dnd.Autoscroll, java.awt.event.MouseListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, org.jhotdraw.contrib.dnd.DNDInterface, org.jhotdraw.framework.DrawingChangeListener, org.jhotdraw.framework.DrawingView

    public class MiningMartDrawingView

extends org.musoft.limo.drawing.ModelDrawingView
implements java.awt.event.MouseListener

A ModelDrawingView for MiningMart with methods for adding MiningMartSelectionListener.

Version:
  $Id: MiningMartDrawingView.java,v 1.14 2006/09/27 15:00:01 euler Exp $
Author:
  Daniel Hakenjos
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.jhotdraw.standard.StandardDrawingView
`org.jhotdraw.standard.StandardDrawingView.DrawingViewKeyListener, org.jhotdraw.standard.StandardDrawingView.DrawingViewMouseListener, org.jhotdraw.standard.StandardDrawingView.DrawingViewMouseMotionListener`

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class org.jhotdraw.standard.StandardDrawingView
`MINIMUM_HEIGHT, MINIMUM_WIDTH, SCROLL_INCR, SCROLL_OFFSET`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`MiningMartDrawingView(MiningMartApplication application)` Constructor for MiningMartDrawingView.

Method Summary
`void` | `addMiningMartSelectionListener(MiningMartSelectionListener listener)` Adds a `MiningMartSelectionListener`.
`void` | `createCaseJPopupMenu(int x, int y)` Creates a JPopupMenu and shows it at the specified coordinates.
`void` | `createConceptJPopupMenu(int x, int y)` Creates a JPopupMenu and shows it at the specified coordinates.
`protected void` | `fireSelectionChanged()` The `MiningMartSelectionListener` are also informed.
`java.awt.Color` | `getBackground()`
`MiningMartSelectionListener` | `getMiningMartSelectionListener(int index)` Gets a `MiningMartSelectionListener` by the index.
`int` | `getMiningMartSelectionListenerCount()` Gets the number of all `MiningMartSelectionListener`.
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Not used.
`void` | `mouseEntered(java.awt.event.MouseEvent e)` Not used.
`void` | `mouseExited(java.awt.event.MouseEvent e)` Not used.
`void` | `mousePressed(java.awt.event.MouseEvent e)`
`void` | `mouseReleased(java.awt.event.MouseEvent e)` Not used.
`void` | `removeAllMiningMartSelectionListener()` Rmoves all `MiningMartSelectionListener`.
`void` | `removeMiningMartSelectionListener(MiningMartSelectionListener listener)` Removes a `MiningMartSelectionListener`.

Methods inherited from class org.musoft.limo.drawing.ModelDrawingView
`checkSize, createKeyListener, drawBackground, getDrawingBounds, handleMouseEventException, hasGrid, isSelectOnly, setConstrainer, setDrawing, setSelectOnly`

Methods inherited from class org.jhotdraw.standard.StandardDrawingView
`add, addAll, addBackground, addFigureSelectionListener, addForeground, addToSelection, addToSelectionAll, addToSelectionAll, addToSelectionImpl, autoscroll, checkDamage, checkMinimumSize, clearSelection, clearToolTip, constrainPoint, createDisplayUpdate, createDNDHelper, createMouseListener, createMouseMotionListener, DNDDeinitialize, DNDInitialize, draw, drawAll, drawDrawing, drawHandles, drawing, drawingInvalidated, drawingRequestUpdate, drawingTitleChanged, drawPainters, editor, figureExists, findHandle, freezeView, getAutoscrollInsets, getBackgrounds, getConnectionFigures, getConstrainer, getDamage, getDefaultDNDActions, getDisplayUpdate, getDNDHelper, getDragSourceListener, getDrawingSize, getFigureSelection, getForegrounds, getMinimumSize, getToolTipLocation, insertFigures, isFigureSelected, isFocusTraversable, isInteractive, isReadOnly, keyReleased, keyTyped, lastClick, paintComponent, remove, removeBackground, removeFigureSelectionListener, removeForeground, removeFromSelection, repairDamage, selection, selectionCount, selectionHandles, selectionZOrdered, setCursor, setDamage, setDisplayUpdate, setEditor, setLastClick, setReadOnly, setToolTipFigure, setToolTipLocation, toggleSelection, tool, toString, unfreezeView`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jhotdraw.framework.DrawingView
`createImage, getGraphics, getPreferredSize, getSize, paint, setBackground`

Methods inherited from interface java.awt.image.ImageObserver
`imageUpdate`

Constructor Detail

### MiningMartDrawingView

    public MiningMartDrawingView(MiningMartApplication application)

  Constructor for MiningMartDrawingView.

Method Detail

### addMiningMartSelectionListener

    public void addMiningMartSelectionListener(MiningMartSelectionListener listener)

  Adds a `MiningMartSelectionListener`.

### removeMiningMartSelectionListener

    public void removeMiningMartSelectionListener(MiningMartSelectionListener listener)

  Removes a `MiningMartSelectionListener`.

### removeAllMiningMartSelectionListener

    public void removeAllMiningMartSelectionListener()

  Rmoves all `MiningMartSelectionListener`.

### getMiningMartSelectionListenerCount

    public int getMiningMartSelectionListenerCount()

  Gets the number of all `MiningMartSelectionListener`.

### getMiningMartSelectionListener

    public MiningMartSelectionListener getMiningMartSelectionListener(int index)

  Gets a `MiningMartSelectionListener` by the index.

### getBackground

    public java.awt.Color getBackground()

  Specified by:
    `getBackground` in interface `org.jhotdraw.framework.DrawingView`
  Overrides:
    `getBackground` in class `org.musoft.limo.drawing.ModelDrawingView`
  See Also:
    `Component.getBackground()`

### fireSelectionChanged

    protected void fireSelectionChanged()

  The `MiningMartSelectionListener` are also informed.

  Overrides:
    `fireSelectionChanged` in class `org.jhotdraw.standard.StandardDrawingView`
  See Also:
    `CH.ifa.draw.standard.StandardDrawingView#fireSelectionChanged()`

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Not used.

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  See Also:
    `MouseListener.mouseClicked(MouseEvent)`

### mouseEntered

    public void mouseEntered(java.awt.event.MouseEvent e)

  Not used.

  Specified by:
    `mouseEntered` in interface `java.awt.event.MouseListener`
  See Also:
    `MouseListener.mouseEntered(MouseEvent)`

### mouseExited

    public void mouseExited(java.awt.event.MouseEvent e)

  Not used.

  Specified by:
    `mouseExited` in interface `java.awt.event.MouseListener`
  See Also:
    `MouseListener.mouseExited(MouseEvent)`

### mouseReleased

    public void mouseReleased(java.awt.event.MouseEvent e)

  Not used.

  Specified by:
    `mouseReleased` in interface `java.awt.event.MouseListener`
  See Also:
    `MouseListener.mouseReleased(MouseEvent)`

### mousePressed

    public void mousePressed(java.awt.event.MouseEvent e)

  Specified by:
    `mousePressed` in interface `java.awt.event.MouseListener`
  See Also:
    `MouseListener.mousePressed(MouseEvent)`

### createCaseJPopupMenu

    public void createCaseJPopupMenu(int x,
                                     int y)

  Creates a JPopupMenu and shows it at the specified coordinates.

### createConceptJPopupMenu

    public void createConceptJPopupMenu(int x,
                                        int y)

  Creates a JPopupMenu and shows it at the specified coordinates.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005